---
title: VeRO API v2
description: "**Note:** This is the **v2** version of the **VeRO API.** If you need to use the v1 version of the API, see [VeRO API](/develop/api/sell/vero_public_apis). The eBay **VeRO API** **v2** allows owners of an intellectual property, such as a copyright or trademark, to report eBay listings that infringe on their intellectual property rights. **Important!** The VeRO API is only available to members of the Verified Rights Owner (VeRO) Program."
api_version: 1.0
api_name: vero_api_v2
api_type: REST
api_group: sell/vero_api_v2
source_url:
  html: https://developer.ebay.com/develop/api/sell/vero_api_v2
  md: https://developer.ebay.com/develop/api/sell/vero_api_v2.md
---

# VeRO API v2 API

**Note:** This is the **v2** version of the **VeRO API.** If you need to use the v1 version of the API, see [VeRO API](/develop/api/sell/vero_public_apis). 

  

The eBay **VeRO API** **v2** allows owners of an intellectual property, such as a copyright or trademark, to report eBay listings that infringe on their intellectual property rights.

  

**Important!** The VeRO API is only available to members of the Verified Rights Owner (VeRO) Program.

## API Methods

The following API methods are available:

### getVeroReasonCode

#### GET /vero_reason_code/{vero_reason_code_id}
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method is used to retrieve the details of a specific VeRO reason code, including a description of the code and the marketplace associated with the code.  
  
The **vero\_reason\_code\_id** of the VeRO reason code for which to retrieve details is required as a path parameter.
**Parameters:**
- **vero_reason_code_id** (string) *required*
  - This path parameter specifies the unique identifier of the VeRO reason code that is to be retrieved.  
  
Use the [getVeroReasonCodes](/develop/api/sell/vero_api_v2#sell-vero_api_v2-vero_reason_code-getveroreasoncodes) method to retrieve supported VeRO reason code IDs.

### getVeroReasonCodes

#### GET /vero_reason_code
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method retrieves the details of an array of VeRO reason codes, including descriptions of each code and the marketplace associated with each code.  
  
If the **X-EBAY-C-MARKETPLACE-ID** header is present, only VeRO reason codes for that specific site will be returned. If this header is not included, all reason codes for all sites are returned.
**Parameters:**
- **X-EBAY-C-MARKETPLACE-ID** (string)
  - This header identifies the eBay marketplace for which to retrieve VeRO reason codes. If this header is used, only VeRO reason codes for the specified marketplace will be returned in the response.  
  
See **MarketplaceIdEnum** for a list of supported values.

### reportVeroViolations

#### POST /report_vero_violations
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method can be used to report a violation for an item that allegedly infringes on your copyright, trademark, or other intellectual property rights.  
  
**Note:** Reporting for live events and shoppable videos will be available in a future release.  
The request body must include **reporterId** (the submitting entity's VeRO account identifier), **rightsOwnerId** (the ID of the Rights Owner from the VeRO Portal), a **reportViolations** array (with the **itemId** for each reported item), the **veroReasonCodeId** of the claimed infringement, and the **reportType** identifying the kind of content being reported.  
  
You can report one or more items at a time using this method. A maximum of 150 violations can be reported using this method.

### getVeroReport

#### GET /vero_report/{vero_report_id}
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method retrieves status information about a VeRO report you have submitted to eBay for copyright, trademark, or other intellectual property rights infringement.  
  
The **vero\_report\_id** path parameter is used to specify the eBay report for which to retrieve status information.
**Parameters:**
- **include_report_details** (string)
  - Include this query and set it to `true` if you want to retrieve the **reportedDetails** container in the response, which contains status information. This container may be helpful if you have reported violations on more than one eBay item in the report.  
  
By default, this boolean is set to `false`.
- **vero_report_id** (string) *required*
  - This path parameter specifies the unique identifier of the VeRO report being retrieved.  
  
This value is returned when creating a VeRO report through the [reportVeroViolations](/develop/api/sell/vero_api_v2#sell-vero_api_v2-report_vero_violations-reportveroviolations) method.

### getVeroReportItems

#### GET /vero_report_items
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method can be used to retrieve status information about one or more VeRO reported items you have submitted.  
  
Without the use of any query parameters, the default behavior of this method is to return the status of all VeRO reported items submitted by the seller during the last two years. Use the **item\_id** query parameter to see a specific reported item, and use the **filter** query to retrieve the status of reported items submitted within a specific date range. Pagination is also available to limit the number of reported items that are retrieved per page of data.
**Parameters:**
- **filter** (string)
  - This query parameter can be used to filter the result set by a date range. Only items reported within the specified time period will be returned.  
  
This parameter will be ignored if **item\_id** has been specified.  
  
**Format:** `YYYY-MM-DD HH:MM:SS`  
  
**Example**: `reportSubmittedDate:[2024-11-14T07:47:48Z..2024-12-14T07:47:48Z]`.
- **item_id** (string)
  - This query parameter specifies the unique identifier of an eBay listing. Only the specified reported item will be returned.
- **limit** (string)
  - The maximum number of entries that can be returned on each page of the paginated response. Use this parameter in conjunction with the **offset** parameter to control the pagination of the output.  
  
**Note:** This feature employs a zero-based list, where the first item in the list has an offset of `0`.  
For example, if **offset** is set to `10` and **limit** is set to `10`, the call retrieves entries 11 through 20 from the result set.  
  
If this parameter is omitted, the default value is used.  
  
**Default:** 25
- **offset** (string)
  - The number of reports to skip in the result set before returning the first report in the paginated response. Combine offset with the **limit** query parameter to control the reports returned in the response. For example, if you supply an **offset** of `0` and a **limit** of `10`, the first page of the response contains the first 10 reports from the complete list of reports retrieved by the call. If this query parameter is not set, the default value is used and the first page of reports is returned.  
  
**Default:** 0

## Error Codes

The following error codes may be returned by this API:

### REQUEST Errors

#### 235002 - API_VERO
**Description:** Only Registered Verified Rights Owners are allowed. Subscription missing.

#### 235003 - API_VERO
**Description:** Only Registered Verified Rights Owners are allowed. Insufficient subscription level.

#### 235001 - API_VERO
**Description:** The veroReasonCodeId was not found.

#### 235012 - API_VERO
**Description:** The number of reported items exceeds the maximum limit of 150.

#### 235013 - API_VERO
**Description:** The itemId is required for this call.

#### 235014 - API_VERO
**Description:** The veroReasonCodeId is required for this call.

#### 235016 - API_VERO
**Description:** The specified regions are not allowed.

#### 235019 - API_VERO
**Description:** Please verify the brand field; it should not exceed 50 characters.

#### 235022 - API_VERO
**Description:** Please verify the messageToSeller field; it should not exceed 1000 characters.

#### 235023 - API_VERO
**Description:** Please check the report for duplicate violation reports. A duplicate report is two reports on the same itemId and veroReasonCodeId combination in one packet. The same combination of itemId and veroReasonCodeId can be reported in a different packet.

#### 235024 - API_VERO
**Description:** At least one item or event or video is required for this call.

#### 235030 - API_VERO
**Description:** The contactEmail is required for this call.

#### 235031 - API_VERO
**Description:** The reportType is required for this call.

#### 235032 - API_VERO
**Description:** The infringementDescription is required for this call.

#### 235033 - API_VERO
**Description:** The eventId is required when reportType is LIVE\_EVENT.

#### 235034 - API_VERO
**Description:** The timestamp is required when reportType is LIVE\_EVENT or SHOPPABLE\_VIDEO.

#### 235035 - API_VERO
**Description:** Please verify the contactEmail field; it must be a valid email address.

#### 235036 - API_VERO
**Description:** Please verify the reportedImageUrls field; combined URLs should not exceed 1000 characters.

#### 235037 - API_VERO
**Description:** Please verify the evidenceOfIp field; it should not exceed 1000 characters.

#### 235038 - API_VERO
**Description:** Please verify the copyrights field; combined copyright information should not exceed 1000 characters.

#### 235039 - API_VERO
**Description:** Please verify the registrationNumber field; it should not exceed 1000 characters.

#### 235040 - API_VERO
**Description:** Reported image URLs are required for the specified reason code.

#### 235041 - API_VERO
**Description:** Copyright entries are required for the specified reason code.

#### 235042 - API_VERO
**Description:** Countries are required for this call.

#### 235043 - API_VERO
**Description:** Please verify the reportedImageUrls field; a maximum of 5 image URLs may be supplied.

#### 235044 - API_VERO
**Description:** Please verify the copyrights field; a maximum of 5 entries may be supplied.

#### 235045 - API_VERO
**Description:** One or more fields contain markup or patterns that are not allowed (for example HTML tags or script-like content). Remove tags and scripts and try again.

#### 235046 - API_VERO
**Description:** The videoId is required when reportType is SHOPPABLE\_VIDEO.

#### 235047 - API_VERO
**Description:** Multiple events or videos cannot be reported in the same request.

#### 235048 - API_VERO
**Description:** The reporterId is required for this call.

#### 235049 - API_VERO
**Description:** The reporterId exceeds the maximum length or contains characters that are not allowed.

#### 235050 - API_VERO
**Description:** The rightsOwnerId is required for this call.

#### 235051 - API_VERO
**Description:** The rightsOwnerId exceeds the maximum length or contains characters that are not allowed.

#### 235052 - API_VERO
**Description:** The registrationNumber is required for the specified reason code.

#### 235053 - API_VERO
**Description:** The evidenceOfIp is required for this call.

#### 235054 - API_VERO
**Description:** Please verify the infringementDescription field; it should not exceed 1000 characters.

#### 235055 - API_VERO
**Description:** Reporting violations for LIVE\_EVENT and SHOPPABLE\_VIDEO is not currently supported. These report types are reserved for a future release. Please submit item-based reports using reportType LISTING.

#### 235056 - API_VERO
**Description:** The veroReasonCodeId provided is not supported for this call.

#### 235057 - API_VERO
**Description:** The brand is required for this call.

#### 235058 - API_VERO
**Description:** The messageToSeller is required for this call.

#### 235010 - API_VERO
**Description:** Not authorized to perform this operation. VeRO report creator and requester are different.

#### 235011 - API_VERO
**Description:** The veroReportId was not found.

#### 235005 - API_VERO
**Description:** A filter supplied in the request is invalid: {filterName}.

#### 235006 - API_VERO
**Description:** The item\_id was not found.

#### 235007 - API_VERO
**Description:** Please check the date range.

#### 235009 - API_VERO
**Description:** The time interval specified is greater than what is allowed (90 days is the maximum).

### APPLICATION Errors

#### 235000 - API_VERO
**Description:** There was a problem with an eBay internal system or process.

## Rate Limits

See [API Call Limits](https://developer.ebay.com/develop/get-started/api-call-limits) on the eBay Developer Program.

## Resources

### Documentation

- [eBay Developer Program](https://developer.ebay.com/)
- [API Documentation](https://developer.ebay.com/develop/api/)
- [SDKs and Widgets](https://developer.ebay.com/develop/sdks-and-widgets)
- [Developer Community Forum](https://community.ebay.com/t5/Developer-Groups/ct-p/developergroup)

### Tools

- [API Explorer](https://developer.ebay.com/my/api_test_tool)
- [GraphQL Explorer](https://developer.ebay.com/my/graphql_explorer)

### Support

- [Developer Support](https://developer.ebay.com/support/)
- [API Status](https://developer.ebay.com/support/api-status)
- [Release Notes](https://developer.ebay.com/develop/api/release_notes/)

---
*Generated on 2026-07-31T14:46:48.953Z*